<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="4"
      :sm="24"
    >
      <repair-standard-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-4"
      :sm="24"
    >
      <repair-standard-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import RepairStandardCategoryLeft from './modules/repairStandard/RepairStandardCategoryLeft'
import RepairStandardRight from './modules/repairStandard/RepairStandardRight'
export default {
  name: 'RepairStandardList',
  components: {
    RepairStandardCategoryLeft,
    RepairStandardRight,
  },
  data() {
    return {
      description: '维修标准分类',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>